Skip to Content
Enderdash

Save Widget

POST
/knowledge/saveWidget

Authorization

cookie__Secure-enderdash.session_token<token>

Signed-in Enderdash browser session cookie.

Request Body

application/json
  1. body
organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
widgetId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
expectedRevision*integer
Range0 <= value <= 9007199254740991
title*string
Length1 <= length <= 160
description*string
Length1 <= length <= 4000
html*string
defaultProps*

Response Body

OK

Example Request
curl -X POST 'https://app.enderdash.com/api/http/knowledge/saveWidget' \
  -H 'Content-Type: application/json' \
  -d '{
  "expectedRevision": 0,
  "title": "string",
  "description": "string",
  "html": "string",
  "defaultProps": {}
}'
Example Response
Empty